package com.sky.ioc.controller.carbon;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.carbon.CarbonService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/** 数智双碳----双碳概览
 * @author LunCe*/
@Api(tags ="数智双碳----双碳概览")
@Slf4j
@RestController
@RequestMapping("/carbon")
public class CarbonController {

    @Autowired
    private CarbonService carbonService;

    @ApiOperation("核心指标")
    @PostMapping("/getCarbonCoreIndicators")
    public ReturnMsg getFloorCoreIndicators(@RequestBody IocDateParam iocDateParam){
        return carbonService.getFloorCoreIndicators(iocDateParam);
    }


    @ApiOperation("碳排放分析")
    @PostMapping("/getCarbonInfo")
    public ReturnMsg getCarbonInfo(@RequestBody IocDateParam iocDateParam){
        return carbonService.getCarbonInfo(iocDateParam);
    }




    @ApiOperation("碳配额构成")
    @PostMapping("/getCarbonQuotaComposition")
    public ReturnMsg getCarbonQuotaComposition(@RequestBody IocDateParam iocDateParam){
        return carbonService.getCarbonQuotaComposition(iocDateParam);
    }



    @ApiOperation("双碳新闻")
    @PostMapping("/getCarbonNews")
    public ReturnMsg getCarbonNews(@RequestBody IocDateParam iocDateParam){
        return carbonService.getCarbonNews(iocDateParam);
    }

    @ApiOperation("碳排放占比")
    @PostMapping("/getCarbonProportion")
    public ReturnMsg getCarbonProportion(@RequestBody IocDateParam iocDateParam){
        return carbonService.getCarbonProportion(iocDateParam);
    }




}
