package com.sky.ioc.controller.carbon;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.carbon.CarbonService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/1 13:25
 **/

@Api(tags ="数智双碳----光伏发电")
@Slf4j
@RestController
@RequestMapping("/photovoltaic")
public class PhotovoltaicController {

    @Autowired
    private CarbonService carbonService;



    @ApiOperation("核心指标")
    @PostMapping("/getPhotovoltaicCoreIndicators")
    public ReturnMsg getPhotovoltaicCoreIndicators(@RequestBody IocDateParam iocDateParam){
        return carbonService.getPhotovoltaicCoreIndicators(iocDateParam);
    }


    @ApiOperation("光伏减排分析")
    @PostMapping("/getPhotovoltaicInfo")
    public ReturnMsg getPhotovoltaicInfo(@RequestBody IocDateParam iocDateParam){
        return carbonService.getPhotovoltaicInfo(iocDateParam);
    }




    @ApiOperation("车辆排放排名")
    @PostMapping("/getPhotovoltaicInfoOrder")
    public ReturnMsg getPhotovoltaicInfoOrder(@RequestBody IocDateParam iocDateParam){
        return carbonService.getPhotovoltaicInfoOrder(iocDateParam);
    }

}
