package com.sky.ioc.controller.carbon;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.carbon.CarbonService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/1 13:24
 **/


@Api(tags ="数智双碳----车辆排放")
@Slf4j
@RestController
@RequestMapping("/vehicle")
public class VehicleController {



    @Autowired
    private CarbonService carbonService;




    @ApiOperation("核心指标")
    @PostMapping("/getVehicleCoreIndicators")
    public ReturnMsg getVehicleCoreIndicators(@RequestBody IocDateParam iocDateParam){
        return carbonService.getVehicleCoreIndicators(iocDateParam);
    }


    @ApiOperation("车辆排放情况")
    @PostMapping("/getVehicleInfo")
    public ReturnMsg getVehicleInfo(@RequestBody IocDateParam iocDateParam){
        return carbonService.getVehicleInfo(iocDateParam);
    }




    @ApiOperation("车辆排放排名")
    @PostMapping("/getVehicleInfoOrder")
    public ReturnMsg getVehicleInfoOrder(@RequestBody IocDateParam iocDateParam){
        return carbonService.getVehicleInfoOrder(iocDateParam);
    }



}
