package com.sky.ioc.service.assets.impl;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.Indeicator;
import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.assets.AssetService;
import com.sky.ioc.tool.FalseData;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * TODO
 * @Description 资产
 * @Author LunCe
 * @Date 2023/2/23 17:04
 **/

@Service
public class AssetServiceImpl implements AssetService {
    @Override
    public ReturnMsg getInvestmentDistribution() {
        return ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getAssetLife() {
        return ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getAssetCount() {
        Map<String, Object> map = new HashMap<>();
        map.put("yearCount","12000");
        map.put("yearCountYoy","0.4%");
        map.put("totalAssetCount","2100");
        map.put("totalAssetCountYoy","0.2%");
        map.put("totalAssetsPerSapita","15");
        map.put("averageServiceLifeOfAssets","10");
        map.put("worthAttention","内容");
        return  ReturnMsg.ok(map);
    }

    @Override
    public ReturnMsg getOperAssetCoreIndicators(IocDateParam iocDateParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",1.3);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",5000);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value","项目1");
        objects.get(2).put("compare",60);

        objects.get(3).put("value","工业互联网");
        objects.get(3).put("compare",60);
        indeicator.setWorthAttention("13笔记本即将到报废年限");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getAssetAnalysis(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getAssetShareRanking(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getScrapAndMaintain(IocDateParam iocDateParam) {
        return null;
    }
}
