package com.sky.ioc.service.canteen.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.Indeicator;
import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.canteen.RestaurantService;
import com.sky.ioc.tool.FalseData;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.ConcurrentLinkedDeque;


/**
 * @author LunCe
 */
@Service
public class RestaurantServiceImpl implements RestaurantService {


    /**
     * TODO  查询智慧生活中智慧餐厅的支付分析
     *
     * @Description
     * @Param dateType
     * @Return java.lang.String
     * @Author LunCe
     * @date 2023/2/10 11:25
     */
    @Override
    public ReturnMsg getPaymentAnalysis(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST2);
    }


    /**
     * 查询智慧生活中智慧餐厅的核心指标
     */
    @Override
    public ReturnMsg getCoreIndicators(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST4);
    }

    /**
     * 查询智慧生活中智慧餐厅的欢迎菜品
     */
    @Override
    public ReturnMsg getWelcomeDishes(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST3);
    }



    /**
     * 查询智慧生活中智慧餐厅的消费分析
     */
    @Override
    public ReturnMsg getConsumptionAnalysis(IocDateParam iocDateParam) {
        return null;
    }


    /**
     * 查询智慧生活中智慧餐厅的今日菜谱
     */
    @Override
    public ReturnMsg getTodayMenu() {
        return ReturnMsg.ok(FalseData.REPORTFORMSMAP);
    }

    /**
     * 查询智慧生活中智慧餐厅的盈利分析
     */
    @Override
    public ReturnMsg getProfitAnalysis(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST2);
    }

    /**
     * 查询智慧生活中智慧餐厅的用餐分析
     */
    @Override
    public ReturnMsg getMealAnalysis(IocDateParam iocDateParam) {
        return null;
    }

    /**
     * TODO 查询智能看板统计画像的餐厅消费态势的核心指标
     * @Description
     * @Return com.sky.ioc.tool.ReturnMsg
     * @Author LunCe
     * @date 2023/2/22 15:22
     */
    @Override
    public ReturnMsg getRestaurantConsumption() {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",1800);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",1800);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",18);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",200);
        indeicator.setWorthAttention("提高合同额");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }


    /**
     * TODO
     * @Description 查询智能看板统计画像的餐厅统计消费信息报表
     * @Return com.sky.ioc.tool.ReturnMsg
     * @Author LunCe
     * @date 2023/2/22 15:22
     */
    @Override
    public ReturnMsg getRestaurantConsumptionChart() {
        return ReturnMsg.ok(FalseData.REPORTFORMSMAP);
    }
}
